#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	libintl-perl
Summary:	Internationalization library for Perl
Summary(pl.UTF-8):	Biblioteka umiędzynaradawiająca Perla
Name:		perl-libintl
Version:	1.26
Release:	4
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/G/GU/GUIDO/%{pnam}-%{version}.tar.gz
# Source0-md5:	d355998f5f33a6f4202cd7ded7bf052a
URL:		http://search.cpan.org/dist/libintl-perl/
Patch0:		libintl-perl-1.26-Fix-building-on-Perl-without-.-in-INC.patch
BuildRequires:	gdbm-devel
%{?with_tests:BuildRequires:	glibc-localedb-all}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package is an internationalization library for Perl that aims to
be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.

%description -l pl.UTF-8
Pakiet stanowi bibliotekę umiędzynaradawiającą Perla, która ma na celu
zachowanie zgodności ze standardem Uniforum tłumaczenia komunikatów
zaimplementowanym na przykład w gettexcie GNU.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

# LC_ALL= LANG=... -- workaround for broken (?) gettext
%{?with_tests:LC_ALL= LANG=en_US %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Locale/{gettext_xs,libintlFAQ}.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/libintl-perl/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%dir %{perl_vendorarch}/auto/Locale/gettext_xs
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/gettext_xs/gettext_xs.so
%{perl_vendorlib}/Locale/Messages.pm
%{perl_vendorlib}/Locale/Recode.pm
%{perl_vendorlib}/Locale/RecodeData.pm
%{perl_vendorlib}/Locale/TextDomain.pm
%{perl_vendorlib}/Locale/Util.pm
%{perl_vendorlib}/Locale/gettext_dumb.pm
%{perl_vendorlib}/Locale/gettext_pp.pm
%{perl_vendorlib}/Locale/gettext_xs.pm
%{perl_vendorlib}/Locale/Recode
%{perl_vendorlib}/Locale/RecodeData
%{_mandir}/man3/Locale::Messages.3pm*
%{_mandir}/man3/Locale::Recode*.3pm*
%{_mandir}/man3/Locale::TextDomain.3pm*
%{_mandir}/man3/Locale::Util.3pm*
%{_mandir}/man3/Locale::gettext_dumb.3pm*
%{_mandir}/man3/Locale::gettext_pp.3pm*
%{_mandir}/man3/Locale::gettext_xs.3pm*
%{_mandir}/man3/Locale::libintlFAQ.3pm*
%changelog
* Wed Jun 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-libintl.git;a=log;h=master

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 436cbff
- rel 4; fix builds

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e519475
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f276f6e
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Mon May 22 2017 Mariusz Mazur <mmazur@pld-linux.org> 6724488
- Up to 1.26

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> bec1712
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f57781f
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 49c8d7d
- x32 rebuild
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1ab21ff
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 919d3cb
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 88b9807
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4cccc86
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> aebbdf9
- updated to 1.23

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> de98c08
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> bcbc738
- more verbose files, LGPL version

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e100c3
- release 2

* Mon Nov 02 2009 amateja <amateja@pld-linux.org> 33ffb19
- obsolete

* Mon Nov 02 2009 amateja <amateja@pld-linux.org> 2f8401e
- updated to 1.20
- patch seems to be obsolete

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> c75eb80
- generic URL

* Sun Mar 23 2008 Marcin Banasiak <marcin.banasiak@gmail.com> e97ece1
- release 3

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6990187
- rel 2

